Instalar módulo de PowerShell de Microsoft Teams

En este artículo se explica cómo instalar el módulo De PowerShell de Microsoft Teams con Galería de PowerShell. El módulo Microsoft Teams PowerShell es compatible con todas las plataformas de Windows. Mac y Linux no son compatibles.

Requirements

El módulo Microsoft Teams PowerShell requiere PowerShell 5.1 o superior en todas las plataformas. Instale la última versión de PowerShell disponible para su sistema operativo.

Para comprobar su versión de PowerShell, ejecute el siguiente comando desde una sesión de PowerShell:

$PSVersionTable.PSVersion

Le recomendamos que use el cmdlet Install-Module para instalar el módulo De Microsoft Teams PowerShell.

Si Galería de PowerShell (PSGallery) no está configurado como repositorio de confianza para PowerShellObtener, la primera vez que use la PSGallery verá el siguiente mensaje:

Untrusted repository

You are installing the modules from an untrusted repository. If you trust this repository, change
its InstallationPolicy value by running the `Set-PSRepository` cmdlet.

Are you sure you want to install the modules from 'PSGallery'?
[Y] Yes  [A] Yes to All  [N] No  [L] No to All  [S] Suspend  [?] Help (default is "N"):

Responda o Sí a Todos para continuar con la instalación.

Instalación con PowerShellGallery

Actualmente, el módulo PowerShell de Microsoft Teams es compatible con PowerShell 5.1 en Windows. Siga estos pasos para instalar el módulo:

  • Actualizar a Windows PowerShell 5.1. Si usa Windows 10 versión 1607 o posterior, ya tiene instalado PowerShell 5.1.

  • Instala .NET Framework 4.7.2 o posterior.

  • Ejecute el siguiente comando para instalar la versión más reciente de PowerShellObtener:

    Install-Module -Name PowerShellGet -Force -AllowClobber
    
  • Instale el módulo de PowerShell de Teams.

    Install-Module -Name MicrosoftTeams -Force -AllowClobber
    

Instalación sin conexión

En algunos entornos, no es posible conectarse a la Galería de PowerShell. En estos casos, siga estos pasos de instalación manual.

Iniciar sesión

Para empezar a trabajar con el módulo Microsoft Teams PowerShell, inicie sesión con sus credenciales de Azure.

Connect-MicrosoftTeams

Módulo de PowerShell de Actualización de Teams

Para actualizar cualquier módulo de PowerShell, debe usar el mismo método usado para instalar el módulo. Por ejemplo, si originalmente usaste Install-Module, deberías usar Update-Module para obtener la versión más reciente.

Update-Module MicrosoftTeams

Advertencia

Si Teams PowerShell ya se ha importado a la sesión de PowerShell, se producirá un error al actualizar el módulo. Cierre PowerShell y vuelva a abrir una nueva sesión de PowerShell con privilegios elevados.

Desinstalar Teams PowerShell

Para desinstalar Microsoft Teams PowerShell, abra un nuevo símbolo del sistema de PowerShell y ejecute lo siguiente:

Uninstall-Module MicrosoftTeams

# Uninstall all versions of the module
Uninstall-Module MicrosoftTeams -Allversions

Pasos siguientes

Ya está listo para administrar Microsoft Teams con Microsoft Teams PowerShell. Consulte Administrar Teams con PowerShell de Teams para empezar.

Administrar Teams con PowerShell de Teams

Notas de la versión de PowerShell de Teams

Referencia de cmdlets de Microsoft Teams

referencia de cmdlet de Skype Empresarial